//----------------------------------------------------------------------------
/// @file Volume.h
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
/// \brief brief description
/// \details detailed
//
/// This link to the schema works and pulls in a link to a schema file
/// but the page is empty.  If SOURCE_BROWSER is changed to YES
/// then it is pulled in fine. However that means Volume.cpp is pulled in
/// as a file and I need to exclude cpp files from being present in the 
/// compiled doxygen
/// /ref SampleSchema.xsd

//----------------------------------------------------------------------------
class CVolume
{
public:
	
	CVolume();

	virtual ~CVolume();
	
protected:
	
	double m_dLength;										///< Length 
	double m_dWidth;										///< Width 
	double m_dHeight;										///< Height
};